<?php
/**
 * This page will cause the class profiler/diagram code to analyze itself
 * @package ClassProfiler
 * @author Stephen Klancher <smknight@gmail.com>
 */
 
 require 'class_diagram.php';

//create a class diagram
$d=new ClassDiagram();


//create a class map with for the classes specified
$map=new clsMap(array('clsMap','clsProfile','clsContent','clsOther','Diagram','ClassDiagram','DiagramObject','ClassDiagramObject','ConnectionLine'));

//for each of the classes in the map, add to the class diagram
foreach($map->classes as $c){
	$d->add($c);
}

//draw the diagram to an image (but not written out anywhere yet)
$d->draw();

?>
<h1>PHP Class Dependency Map</h1>
See below from the more detailed information used to create the map.  The information is from both parsing the tokenized source and using PHP5's reflection functions.
<?php
//write out a png file, returning the html to display it
print($d->write_png('ClassMapOfClassMapAndDiagram.png'));

//display a table of the details of the classes in the map
print($map->display());
?>